aboutsummaryrefslogtreecommitdiffstats
path: root/scripts/get_version.sh
diff options
context:
space:
mode:
authorAlex Beregszaszi <alex@rtfs.hu>2017-06-30 18:30:57 +0800
committerAlex Beregszaszi <alex@rtfs.hu>2017-07-01 18:25:02 +0800
commitf13feed7f26aba22396ec1728a51a96fd9bd65e3 (patch)
tree4bf79d4b56ff37e4e600158c523116cde7b67c21 /scripts/get_version.sh
parentb0e4555db37006f1a72c4dd793aef6d69f70f4df (diff)
downloaddexon-solidity-f13feed7f26aba22396ec1728a51a96fd9bd65e3.tar
dexon-solidity-f13feed7f26aba22396ec1728a51a96fd9bd65e3.tar.gz
dexon-solidity-f13feed7f26aba22396ec1728a51a96fd9bd65e3.tar.bz2
dexon-solidity-f13feed7f26aba22396ec1728a51a96fd9bd65e3.tar.lz
dexon-solidity-f13feed7f26aba22396ec1728a51a96fd9bd65e3.tar.xz
dexon-solidity-f13feed7f26aba22396ec1728a51a96fd9bd65e3.tar.zst
dexon-solidity-f13feed7f26aba22396ec1728a51a96fd9bd65e3.zip
Add script to retrieve version
Diffstat (limited to 'scripts/get_version.sh')
-rwxr-xr-xscripts/get_version.sh31
1 files changed, 31 insertions, 0 deletions
diff --git a/scripts/get_version.sh b/scripts/get_version.sh
new file mode 100755
index 00000000..3df2b4c4
--- /dev/null
+++ b/scripts/get_version.sh
@@ -0,0 +1,31 @@
+#!/usr/bin/env bash
+
+#------------------------------------------------------------------------------
+# Bash script to execute the Solidity tests.
+#
+# The documentation for solidity is hosted at:
+#
+# https://solidity.readthedocs.org
+#
+# ------------------------------------------------------------------------------
+# This file is part of solidity.
+#
+# solidity is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# solidity is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with solidity. If not, see <http://www.gnu.org/licenses/>
+#
+# (c) 2017 solidity contributors.
+#------------------------------------------------------------------------------
+
+set -e
+
+grep -oP "PROJECT_VERSION \"?\K[0-9.]+(?=\")"? $(dirname "$0")/../CMakeLists.txt